[arch-commits] Commit in cdparanoia/trunk (4 files)

Alexander Fehr alexanderf at archlinux.org
Tue Jul 8 21:05:20 EDT 2008


    Date: Tuesday, July 8, 2008 @ 21:05:19
  Author: alexanderf
Revision: 4702

upgpkg: cdparanoia 10.0-1

Added:
  cdparanoia/trunk/ChangeLog
Modified:
  cdparanoia/trunk/PKGBUILD
Deleted:
  cdparanoia/trunk/cdparanoia.patch
  cdparanoia/trunk/gcc34.patch

------------------+
 ChangeLog        |   11 +++++++++
 PKGBUILD         |   30 ++++++++++++++------------
 cdparanoia.patch |   10 --------
 gcc34.patch      |   59 -----------------------------------------------------
 4 files changed, 27 insertions(+), 83 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-09 01:05:19 UTC (rev 4702)
@@ -0,0 +1,11 @@
+2008-07-07  Alexander Fehr  <pizzapunk gmail com>
+
+  * cdparanoia-10.0-1:
+  New upstream release.
+  New maintainer.
+  Added arch variable.
+  Changed license to GPL3.
+  Fixed man page location.
+  Removed cdparanoia.patch.
+  Removed gcc34.patch.
+  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-08 23:55:54 UTC (rev 4701)
+++ PKGBUILD	2008-07-09 01:05:19 UTC (rev 4702)
@@ -1,21 +1,23 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
+
 pkgname=cdparanoia
-pkgver=9.8
-pkgrel=4
-pkgdesc="A CD ripping application"
-license=('GPL')
+pkgver=10.0
+pkgrel=1
+pkgdesc="Compact Disc Digital Audio extraction tool"
+arch=('i686' 'x86_64')
+url="http://xiph.org/paranoia/"
+license=('GPL3')
 depends=('glibc')
-source=(http://www.xiph.org/paranoia/download/cdparanoia-III-alpha9.8.src.tgz \
-        cdparanoia.patch gcc34.patch)
-md5sums=('7218e778b5970a86c958e597f952f193' '82512ebf8fcfe269e028c0b41b271b31'\
-         '81c4261ab4d35c8bbab5210d7d12bc9c')
+source=(http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-$pkgver.src.tgz)
+md5sums=('03a1aba5cf45ce7b83389d442a275acf')
 
 build() {
-  cd $startdir/src/cdparanoia-III-alpha9.8
-  patch -p0 -i ../cdparanoia.patch
-  patch -Np1 -i ../gcc34.patch
-  ./configure --prefix=/usr
+  cd "$srcdir/cdparanoia-III-$pkgver"
+  ./configure --prefix=/usr || return 1
+
+  sed -i 's|${prefix}/man|${prefix}/share/man|' Makefile
+
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make prefix="$pkgdir/usr" install || return 1
 }

Deleted: cdparanoia.patch
===================================================================
--- cdparanoia.patch	2008-07-08 23:55:54 UTC (rev 4701)
+++ cdparanoia.patch	2008-07-09 01:05:19 UTC (rev 4702)
@@ -1,10 +0,0 @@
---- paranoia/cdda_paranoia.h	2003/01/05 09:46:26	1.1.1.1
-+++ paranoia/cdda_paranoia.h	2003/01/05 12:55:20	1.2
-@@ -34,6 +34,8 @@
- #define PARANOIA_MODE_NEVERSKIP   32
- 
- #ifndef CDP_COMPILE
-+#include <cdda_interface.h>
-+
- typedef void cdrom_paranoia;
-  #endif

Deleted: gcc34.patch
===================================================================
--- gcc34.patch	2008-07-08 23:55:54 UTC (rev 4701)
+++ gcc34.patch	2008-07-09 01:05:19 UTC (rev 4702)
@@ -1,59 +0,0 @@
-diff -Naur cdparanoia-III-alpha9.8-orig/Makefile.in cdparanoia-III-alpha9.8/Makefile.in
---- cdparanoia-III-alpha9.8-orig/Makefile.in	2001-03-27 14:46:58.000000000 -0800
-+++ cdparanoia-III-alpha9.8/Makefile.in	2004-07-11 08:22:24.000000000 -0700
-@@ -8,7 +8,7 @@
- srcdir=@srcdir@
- 
- @SET_MAKE@
--FLAGS=@TYPESIZES@ @CFLAGS@
-+FLAGS=@TYPESIZES@ @CFLAGS@ -Iinterface
- OPT=@OPT@ $(FLAGS)
- DEBUG=@DEBUG@ $(FLAGS)
- CC=@CC@
-diff -Naur cdparanoia-III-alpha9.8-orig/interface/utils.h cdparanoia-III-alpha9.8/interface/utils.h
---- cdparanoia-III-alpha9.8-orig/interface/utils.h	2000-04-19 15:41:04.000000000 -0700
-+++ cdparanoia-III-alpha9.8/interface/utils.h	2004-07-11 08:22:48.000000000 -0700
-@@ -112,6 +112,7 @@
-       break;
-     case CDDA_MESSAGE_FORGETIT:
-     default:
-+      ;
-     }
-   }
- }
-@@ -127,6 +128,7 @@
-       break;
-     case CDDA_MESSAGE_FORGETIT:
-     default:
-+      ;
-     }
-   }
- }
-@@ -169,6 +171,7 @@
-       break;
-     case CDDA_MESSAGE_FORGETIT:
-     default:
-+      ;
-     }
-   }
-   if(malloced)free(buffer);
-@@ -205,6 +208,7 @@
-       break;
-     case CDDA_MESSAGE_FORGETIT:
-     default:
-+      ;
-     }
-   }
-   if(malloced)free(buffer);
-diff -Naur cdparanoia-III-alpha9.8-orig/paranoia/Makefile.in cdparanoia-III-alpha9.8/paranoia/Makefile.in
---- cdparanoia-III-alpha9.8-orig/paranoia/Makefile.in	1999-12-13 20:28:04.000000000 -0800
-+++ cdparanoia-III-alpha9.8/paranoia/Makefile.in	2004-07-11 08:22:36.000000000 -0700
-@@ -8,7 +8,7 @@
- srcdir=@srcdir@
- 
- @SET_MAKE@
--FLAGS=@TYPESIZES@ @CFLAGS@
-+FLAGS=@TYPESIZES@ @CFLAGS@ -I../interface
- OPT=@OPT@ $(FLAGS)
- DEBUG=@DEBUG@ $(FLAGS)
- CC=@CC@





More information about the arch-commits mailing list